package common.item;

import common.block.Block;
import common.block.BlockFence;
import common.model.Model;
import common.model.ModelProvider;

public class ItemFence extends ItemBlock {
	public ItemFence(Block block) {
		super(block);
	}

	public Model getModel(ModelProvider provider, String name, int meta) {
    	return provider.getModel(provider.getModel(((BlockFence)this.block).getTexture()).noOcclude()
    			.add(6, 0, 0, 10, 16, 4)
    				.d().uv(6, 0, 10, 4)
    				.u().uv(6, 0, 10, 4).noCull()
    				.n().uv(6, 0, 10, 16).noCull()
    				.s().uv(6, 0, 10, 16).noCull()
    				.w().uv(0, 0, 4, 16).noCull()
    				.e().uv(0, 0, 4, 16).noCull()
    			.add(6, 0, 12, 10, 16, 16)
    				.d().uv(6, 12, 10, 16)
    				.u().uv(6, 12, 10, 16).noCull()
    				.n().uv(6, 0, 10, 16).noCull()
    				.s().uv(6, 0, 10, 16).noCull()
    				.w().uv(12, 0, 16, 16).noCull()
    				.e().uv(12, 0, 16, 16).noCull()
    			.add(7, 13, -2, 9, 15, 18)
    				.d().uv(7, 0, 9, 16).noCull()
    				.u().uv(7, 0, 9, 16).noCull()
    				.n().uv(7, 1, 9, 3).noCull()
    				.s().uv(7, 1, 9, 3).noCull()
    				.w().uv(0, 1, 16, 3).noCull()
    				.e().uv(0, 1, 16, 3).noCull()
    			.add(7, 5, -2, 9, 7, 18)
    				.d().uv(7, 0, 9, 16).noCull()
    				.u().uv(7, 0, 9, 16).noCull()
    				.n().uv(7, 9, 9, 11).noCull()
    				.s().uv(7, 9, 9, 11).noCull()
    				.w().uv(0, 9, 16, 11).noCull()
    				.e().uv(0, 9, 16, 11).noCull(), this.getTransform());
    }
}
